package org.example.designpatterns.factory;

import org.example.designpatterns.factory.interfaces.IConnection;
import org.example.designpatterns.factory.interfaces.impl.ConnectionMySQL;
import org.example.designpatterns.factory.interfaces.impl.ConnectionPostgreSQL;
import org.example.designpatterns.factory.interfaces.impl.ConnectionVacia;

public class ConnectionFactory {

    public IConnection getConnection(String motor) {
        if (motor == null)
            return new ConnectionVacia();
        if (motor.equalsIgnoreCase("MYSQL"))
            return new ConnectionMySQL();
        else if (motor.equalsIgnoreCase("POSTGRE"))
            return new ConnectionPostgreSQL();
        return new ConnectionVacia();
    }
}
